/* tslint:disable */
/* eslint-disable */
/**
 * opGUI - OpenAPI 3.0
 * Dummy description about the available endpoints Some useful links: - [The opGUI repository](https://gitlab.eclipse.org/eclipse/openpass/opgui) - [The documentation page](https://www.eclipse.org/openpass/content/html/index.html)
 *
 * The version of the OpenAPI document: 1.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


import * as runtime from '../runtime';
import type {
  ApiGetValueListGet200Response,
  Error400,
  Error500,
} from '../models';
import {
    ApiGetValueListGet200ResponseFromJSON,
    ApiGetValueListGet200ResponseToJSON,
    Error400FromJSON,
    Error400ToJSON,
    Error500FromJSON,
    Error500ToJSON,
} from '../models';

export interface ApiGetValueListGetRequest {
    name: string;
}

/**
 * 
 */
export class GetValueListApi extends runtime.BaseAPI {

    /**
     * Endpoint to retrieve the values of a specified list by its name.
     * Endpoint to retrieve the values of a specified list.
     */
    async apiGetValueListGetRaw(requestParameters: ApiGetValueListGetRequest, initOverrides?: RequestInit | runtime.InitOverrideFunction): Promise<runtime.ApiResponse<ApiGetValueListGet200Response>> {
        if (requestParameters.name === null || requestParameters.name === undefined) {
            throw new runtime.RequiredError('name','Required parameter requestParameters.name was null or undefined when calling apiGetValueListGet.');
        }

        const queryParameters: any = {};

        if (requestParameters.name !== undefined) {
            queryParameters['name'] = requestParameters.name;
        }

        const headerParameters: runtime.HTTPHeaders = {};

        const response = await this.request({
            path: `/api/getValueList`,
            method: 'GET',
            headers: headerParameters,
            query: queryParameters,
        }, initOverrides);

        return new runtime.JSONApiResponse(response, (jsonValue) => ApiGetValueListGet200ResponseFromJSON(jsonValue));
    }

    /**
     * Endpoint to retrieve the values of a specified list by its name.
     * Endpoint to retrieve the values of a specified list.
     */
    async apiGetValueListGet(requestParameters: ApiGetValueListGetRequest, initOverrides?: RequestInit | runtime.InitOverrideFunction): Promise<ApiGetValueListGet200Response> {
        const response = await this.apiGetValueListGetRaw(requestParameters, initOverrides);
        return await response.value();
    }

}
